# H225_ReleaseCompleteReason Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum

Choices {
e_noBandwidth, e_gatekeeperResources, e_unreachableDestination, e_destinationRejection,
e_invalidRevision, e_noPermission, e_unreachableGatekeeper, e_gatewayResources,
e_badFormatAddress, e_adaptiveBusy, e_inConf, e_undefinedReason,
e_facilityCallDeflection, e_securityDenied, e_calledPartyNotRegistered, e_callerNotRegistered,
e_newConnectionNeeded, e_nonStandardReason, e_replaceWithConferenceInvite, e_genericDataReason,
e_neededFeatureNotSupported, e_tunnelledSignallingRejected, e_invalidCID, e_securityError,
e_hopCountExceeded
}

## Public Member Functions

| H225_ReleaseCompleteReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
| operator H225_ConferenceIdentifier & ()
| operator const H225_ConferenceIdentifier & () const
| operator H225_SecurityErrors & ()
| operator const H225_SecurityErrors & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_ReleaseCompleteReason::Choices

Enumerator:

  e_noBandwidth |
  e_gatekeeperResources |
  e_unreachableDestination |
  e_destinationRejection |
  e_invalidRevision |
  e_noPermission |
  e_unreachableGatekeeper |
  e_gatewayResources |
  e_badFormatAddress |
  e_adaptiveBusy |
  e_inConf |
  e_undefinedReason |
  e_facilityCallDeflection |
  e_securityDenied |
  e_calledPartyNotRegistered |
  e_callerNotRegistered |
  e_newConnectionNeeded |
  e_nonStandardReason |
  e_replaceWithConferenceInvite |
  e_genericDataReason |
  e_neededFeatureNotSupported |
  e_tunnelledSignallingRejected |
  e_invalidCID |
  e_securityError |
  e_hopCountExceeded |

## Constructor & Destructor Documentation

H225_ReleaseCompleteReason::H225_ReleaseCompleteReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_ReleaseCompleteReason::operator H225_NonStandardParameter & | ( |  | ) |

H225_ReleaseCompleteReason::operator const H225_NonStandardParameter & | ( |  | ) | const

H225_ReleaseCompleteReason::operator H225_ConferenceIdentifier & | ( |  | ) |

H225_ReleaseCompleteReason::operator const H225_ConferenceIdentifier & | ( |  | ) | const

H225_ReleaseCompleteReason::operator H225_SecurityErrors & | ( |  | ) |

H225_ReleaseCompleteReason::operator const H225_SecurityErrors & | ( |  | ) | const

PBoolean H225_ReleaseCompleteReason::CreateObject | ( |  | ) |

PObject* H225_ReleaseCompleteReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h